searchData={"items":[{"type":"module","title":"Nostr.Bech32","doc":"Bech32 encoded entities\n\nDefined in NIP-19\nhttps://github.com/nostr-protocol/nips/blob/master/19.md","ref":"Nostr.Bech32.html"},{"type":"module","title":"Example: - Nostr.Bech32","doc":"iex> Nostr.Bech32.hex_to_npub(\"3bf0c63fcb93463407af97a5e5ee64fa883d107ef9e558472c4eb9aaaefa459d\")\n    \"npub180cvv07tjdrrgpa0j7j7tmnyl2yr6yr7l8j4s3evf6u64th6gkwsyjh6w6\"\n\n    iex> Nostr.Bech32.npub_to_hex(\"npub180cvv07tjdrrgpa0j7j7tmnyl2yr6yr7l8j4s3evf6u64th6gkwsyjh6w6\")\n    \"3bf0c63fcb93463407af97a5e5ee64fa883d107ef9e558472c4eb9aaaefa459d\"","ref":"Nostr.Bech32.html#module-example"},{"type":"function","title":"Nostr.Bech32.bytes_to_note/1","doc":"","ref":"Nostr.Bech32.html#bytes_to_note/1"},{"type":"function","title":"Nostr.Bech32.bytes_to_nprofile/1","doc":"","ref":"Nostr.Bech32.html#bytes_to_nprofile/1"},{"type":"function","title":"Nostr.Bech32.bytes_to_npub/1","doc":"","ref":"Nostr.Bech32.html#bytes_to_npub/1"},{"type":"function","title":"Nostr.Bech32.bytes_to_nsec/1","doc":"","ref":"Nostr.Bech32.html#bytes_to_nsec/1"},{"type":"function","title":"Nostr.Bech32.decode/1","doc":"","ref":"Nostr.Bech32.html#decode/1"},{"type":"function","title":"Nostr.Bech32.hex_to_note/1","doc":"","ref":"Nostr.Bech32.html#hex_to_note/1"},{"type":"function","title":"Nostr.Bech32.hex_to_npub/1","doc":"","ref":"Nostr.Bech32.html#hex_to_npub/1"},{"type":"function","title":"Nostr.Bech32.hex_to_nsec/1","doc":"","ref":"Nostr.Bech32.html#hex_to_nsec/1"},{"type":"function","title":"Nostr.Bech32.note_to_bytes/1","doc":"","ref":"Nostr.Bech32.html#note_to_bytes/1"},{"type":"function","title":"Nostr.Bech32.note_to_hex/1","doc":"","ref":"Nostr.Bech32.html#note_to_hex/1"},{"type":"function","title":"Nostr.Bech32.nprofile_to_bytes/1","doc":"","ref":"Nostr.Bech32.html#nprofile_to_bytes/1"},{"type":"function","title":"Nostr.Bech32.npub_to_bytes/1","doc":"","ref":"Nostr.Bech32.html#npub_to_bytes/1"},{"type":"function","title":"Nostr.Bech32.npub_to_hex/1","doc":"","ref":"Nostr.Bech32.html#npub_to_hex/1"},{"type":"function","title":"Nostr.Bech32.nsec_to_bytes/1","doc":"","ref":"Nostr.Bech32.html#nsec_to_bytes/1"},{"type":"function","title":"Nostr.Bech32.nsec_to_hex/1","doc":"","ref":"Nostr.Bech32.html#nsec_to_hex/1"},{"type":"module","title":"Nostr.Crypto","doc":"Crypto related stuff","ref":"Nostr.Crypto.html"},{"type":"function","title":"Nostr.Crypto.decrypt/3","doc":"Decrypt message with ECDH from seckey and pubkey (automatically extracts IV from message)","ref":"Nostr.Crypto.html#decrypt/3"},{"type":"function","title":"Nostr.Crypto.encrypt/3","doc":"Encrypt message with ECDH from seckey and pubkey and append randomly generated IV","ref":"Nostr.Crypto.html#encrypt/3"},{"type":"function","title":"Nostr.Crypto.pubkey/1","doc":"Get pubkey (hex encoded) from seckey (hex encoded)","ref":"Nostr.Crypto.html#pubkey/1"},{"type":"function","title":"Example: - Nostr.Crypto.pubkey/1","doc":"iex> Nostr.Crypto.pubkey(\"1111111111111111111111111111111111111111111111111111111111111111\")\n    \"4f355bdcb7cc0af728ef3cceb9615d90684bb5b2ca5f859ab0f0b704075871aa\"","ref":"Nostr.Crypto.html#pubkey/1-example"},{"type":"function","title":"Nostr.Crypto.sign/2","doc":"Sign binary data (hex encoded) with seckey (hex encoded)","ref":"Nostr.Crypto.html#sign/2"},{"type":"module","title":"Nostr.Event","doc":"Nostr Event","ref":"Nostr.Event.html"},{"type":"function","title":"Nostr.Event.compute_id/1","doc":"Compute event ID from `Nostr.Event` struct","ref":"Nostr.Event.html#compute_id/1"},{"type":"function","title":"Nostr.Event.create/2","doc":"Create new Nostr event struct\n\nRequires event kind and optionally any other event field:\n\n  - `pubkey` - default is `nil` (derived later during event signing)\n  - `tags` - default is `[]` (needs to be list of `Nostr.Tag` structs)\n  - `created_at` - default is  `DateTime.utc_now/0`\n  - `content` - default is `\"\"`\n  - `id` ignored (computed later during event signing)\n  - `sig` ignored, if you want to signed event use `Nostr.Event.sign/2`","ref":"Nostr.Event.html#create/2"},{"type":"function","title":"Example - Nostr.Event.create/2","doc":"iex> Nostr.Event.create(1, content: \"My note\", created_at: ~U[2023-06-09 11:07:59.031962Z])\n    %Nostr.Event{\n      kind: 1,\n      pubkey: nil,\n      tags: [],\n      created_at: ~U[2023-06-09 11:07:59.031962Z],\n      content: \"My note\"\n    }\n\n    iex> tags = [Nostr.Tag.create(:e, \"event-id\")]\n    iex> Nostr.Event.create(1, created_at: ~U[2023-06-09 11:07:59.031962Z], tags: tags)\n    %Nostr.Event{\n      kind: 1,\n      pubkey: nil,\n      tags: [%Nostr.Tag{type: :e, data: \"event-id\", info: []}],\n      created_at: ~U[2023-06-09 11:07:59.031962Z],\n      content: \"\"\n    }","ref":"Nostr.Event.html#create/2-example"},{"type":"function","title":"Nostr.Event.parse/1","doc":"Parse raw event map to `Nostr.Event` struct and validate ID and signature","ref":"Nostr.Event.html#parse/1"},{"type":"function","title":"Nostr.Event.parse_specific/1","doc":"Parse raw event map to specific event struct (also validates ID and signature)","ref":"Nostr.Event.html#parse_specific/1"},{"type":"function","title":"Nostr.Event.serialize/1","doc":"Serialize event from `Nostr.Event` struct","ref":"Nostr.Event.html#serialize/1"},{"type":"function","title":"Nostr.Event.sign/2","doc":"Sign the event with seckey\n\nIt auto-populates pubkey from seckey if event doesn't contain one or check it matches the seckey\nif there is an pubkey\n\nIt auto-populates event ID or check the ID is correct before signing","ref":"Nostr.Event.html#sign/2"},{"type":"type","title":"Nostr.Event.t/0","doc":"Nostr event","ref":"Nostr.Event.html#t:t/0"},{"type":"module","title":"Nostr.Event.BadgeAward","doc":"Badge award\n\nDefined in NIP 58\nhttps://github.com/nostr-protocol/nips/blob/master/58.md","ref":"Nostr.Event.BadgeAward.html"},{"type":"function","title":"Nostr.Event.BadgeAward.parse/1","doc":"","ref":"Nostr.Event.BadgeAward.html#parse/1"},{"type":"type","title":"Nostr.Event.BadgeAward.t/0","doc":"","ref":"Nostr.Event.BadgeAward.html#t:t/0"},{"type":"module","title":"Nostr.Event.FileMetadata","doc":"File metadata\n\nDefined in NIP 94\nhttps://github.com/nostr-protocol/nips/blob/master/94.md","ref":"Nostr.Event.FileMetadata.html"},{"type":"function","title":"Nostr.Event.FileMetadata.parse/1","doc":"","ref":"Nostr.Event.FileMetadata.html#parse/1"},{"type":"type","title":"Nostr.Event.FileMetadata.t/0","doc":"","ref":"Nostr.Event.FileMetadata.html#t:t/0"},{"type":"module","title":"Nostr.Event.ListMute","doc":"List mute event\n\nDefined in NIP 51\nhttps://github.com/nostr-protocol/nips/blob/master/51.md","ref":"Nostr.Event.ListMute.html"},{"type":"function","title":"Nostr.Event.ListMute.create/2","doc":"Create new Note Nostr event","ref":"Nostr.Event.ListMute.html#create/2"},{"type":"function","title":"Arguments: - Nostr.Event.ListMute.create/2","doc":"- `note` textual note used as content\n  - `opts` other optional event arguments (`pubkey`, `created_at`, `tags`)","ref":"Nostr.Event.ListMute.html#create/2-arguments"},{"type":"function","title":"Nostr.Event.ListMute.decrypt_private_list/2","doc":"","ref":"Nostr.Event.ListMute.html#decrypt_private_list/2"},{"type":"function","title":"Nostr.Event.ListMute.parse/1","doc":"","ref":"Nostr.Event.ListMute.html#parse/1"},{"type":"type","title":"Nostr.Event.ListMute.t/0","doc":"","ref":"Nostr.Event.ListMute.html#t:t/0"},{"type":"module","title":"Nostr.Event.Report","doc":"Report\n\nDO NOT USE - the report event should be ignored, it exists only to please Apple Store\n\nDefined in NIP 56\nhttps://github.com/nostr-protocol/nips/blob/master/56.md","ref":"Nostr.Event.Report.html"},{"type":"function","title":"Nostr.Event.Report.parse/1","doc":"","ref":"Nostr.Event.Report.html#parse/1"},{"type":"type","title":"Nostr.Event.Report.report_reason/0","doc":"","ref":"Nostr.Event.Report.html#t:report_reason/0"},{"type":"type","title":"Nostr.Event.Report.t/0","doc":"","ref":"Nostr.Event.Report.html#t:t/0"},{"type":"module","title":"Nostr.Filter","doc":"Nostr filter","ref":"Nostr.Filter.html"},{"type":"function","title":"Nostr.Filter.parse/1","doc":"Parse filter from raw list to `Nostr.Tag` struct","ref":"Nostr.Filter.html#parse/1"},{"type":"type","title":"Nostr.Filter.t/0","doc":"","ref":"Nostr.Filter.html#t:t/0"},{"type":"module","title":"Nostr.Message","doc":"Nostr message is represented as tuple in Elixir. This module provides functions to generate\nmessages, serialize or parse them.","ref":"Nostr.Message.html"},{"type":"function","title":"Nostr.Message.auth/1","doc":"Generate auth message","ref":"Nostr.Message.html#auth/1"},{"type":"function","title":"Nostr.Message.close/1","doc":"Generate close message","ref":"Nostr.Message.html#close/1"},{"type":"function","title":"Nostr.Message.count/2","doc":"","ref":"Nostr.Message.html#count/2"},{"type":"function","title":"Nostr.Message.create_event/1","doc":"Generate post new event message","ref":"Nostr.Message.html#create_event/1"},{"type":"function","title":"Nostr.Message.eose/1","doc":"Generate eose message","ref":"Nostr.Message.html#eose/1"},{"type":"function","title":"Nostr.Message.event/2","doc":"Generate event message","ref":"Nostr.Message.html#event/2"},{"type":"function","title":"Nostr.Message.notice/1","doc":"Generate notice message","ref":"Nostr.Message.html#notice/1"},{"type":"function","title":"Nostr.Message.ok/3","doc":"Generate OK message","ref":"Nostr.Message.html#ok/3"},{"type":"function","title":"Nostr.Message.parse/1","doc":"Parse binary message to Elixir tuple, if message contains event it will be returned as general\n`Nostr.Event.t()` struct","ref":"Nostr.Message.html#parse/1"},{"type":"function","title":"Nostr.Message.parse_specific/1","doc":"Parse binary message to Elixir tuple, if message contains event it will be returned as specific\n`Nostr.Event.t()` struct dependent of type of Event","ref":"Nostr.Message.html#parse_specific/1"},{"type":"function","title":"Nostr.Message.request/2","doc":"Generate request message","ref":"Nostr.Message.html#request/2"},{"type":"function","title":"Nostr.Message.serialize/1","doc":"Serialize Elixir tuple message to on-the-wire binary","ref":"Nostr.Message.html#serialize/1"},{"type":"type","title":"Nostr.Message.t/0","doc":"","ref":"Nostr.Message.html#t:t/0"},{"type":"module","title":"Nostr.TLV","doc":"Provides functions to decode, encode and work with ASN.1 BER-TLV structures. It supports tags\nencoded on multiple bytes, length encoded on multiple bytes, indefinite length and both\nprimitive and constructed TLVs.","ref":"Nostr.TLV.html"},{"type":"module","title":"Example: - Nostr.TLV","doc":"iex> data = \"nprofile1qqsrhuxx8l9ex335q7he0f09aej04zpazpl0ne2cgukyawd24mayt8gpp4mhxue69uhhytnc9e3k7mgpz4mhxue69uhkg6nzv9ejuumpv34kytnrdaksjlyr9p\"\n    iex> bytes = Nostr.Bech32.nprofile_to_bytes(data)\n    iex> Nostr.TLV.decode(bytes)\n    {}","ref":"Nostr.TLV.html#module-example"},{"type":"function","title":"Nostr.TLV.decode/1","doc":"Decodes (recursively) the first binary encoded TLV in the given binary and returns a tuple with\nthe parsed TLV structure and the remaining data as a binary in the form\n`{parsed_tlv, remaining_data}`. On error it returns the atom `:no_tlv`.\n\nThe decoder tolerates lengths encoded on more bytes than strictly needed, although the ASN.1\nspecification require encoders to always generate the shortest possible encoding.","ref":"Nostr.TLV.html#decode/1"},{"type":"function","title":"Examples - Nostr.TLV.decode/1","doc":"# Primitive TLV + data after its end\n    iex> Nostr.TLV.decode(<<0x80, 0x02, 0xCA, 0xFE, 0xAA, 0xBB>>)\n    {%Nostr.TLV{indefinite_length: false, tag: 0x80, value: <<0xCA, 0xFE>>}, <<0xAA, 0xBB>>}\n\n    # Constructed TLV\n    iex> Nostr.TLV.decode(<<0xE0, 0x03, 0x80, 0x01, 0xAA>>)\n    {%Nostr.TLV{indefinite_length: false, tag: 0xE0, value:\n      [%Nostr.TLV{indefinite_length: false, tag: 0x80, value: <<0xAA>>}]\n    }, \"\"}\n\n    # Malformed TLV\n    iex> Nostr.TLV.decode(<<0x80, 0x02, 0x00>>)\n    :no_tlv","ref":"Nostr.TLV.html#decode/1-examples"},{"type":"function","title":"Nostr.TLV.encode/1","doc":"Encodes (recursively) the given TLV structure and returns its binary representation according to\nthe BER-TLV specifications.\n\nIf `indefinite_length` is set to `true` and the TLV is a constructed one, indefinite length\nencoding will be use. For primitive TLVs this field will be ignored, since for primitive TLVs\nonly definite length is allowed.\n\nThe primitive/constructed bit of the `tag` field will not be checked for consistency with the\n`value` field.","ref":"Nostr.TLV.html#encode/1"},{"type":"function","title":"Examples - Nostr.TLV.encode/1","doc":"# Primitive TLV\n    iex> Nostr.TLV.encode(%Nostr.TLV{tag: 0x80, value: <<0xAA, 0xBB>>})\n    <<0x80, 0x02, 0xAA, 0xBB>>\n\n    # Constructed TLV\n    iex> Nostr.TLV.encode(%Nostr.TLV{tag: 0xE0, value: [%Nostr.TLV{tag: 0x80, value: <<0xAA>>}]})\n    <<0xE0, 0x03, 0x80, 0x01, 0xAA>>","ref":"Nostr.TLV.html#encode/1-examples"},{"type":"type","title":"Nostr.TLV.t/0","doc":"Represents a BER-TLV structure. The `tag` is represented as an integer and header bits are not\nseparated from the tag. This is to accommodate common usages of the encoding. Primitive TLVs\nhave a binary `value`, while constructed have a list of TLVs. The `indefinite_length` field is\nset by the decoder to reflect the original byte representation and also serves as instruction to\nthe encoder on how to encode the length.","ref":"Nostr.TLV.html#t:t/0"},{"type":"module","title":"Nostr.Tag","doc":"Nostr Event tag","ref":"Nostr.Tag.html"},{"type":"function","title":"Nostr.Tag.create/3","doc":"Create new Nostr tag\n\nEach tag needs to have type and at least one data field. If tag requires more then one data\nfield supply them as third argument (list of strings)","ref":"Nostr.Tag.html#create/3"},{"type":"function","title":"Example: - Nostr.Tag.create/3","doc":"iex> Nostr.Tag.create(:e, \"event-id\", [\"wss://relay.example.com\"])\n    %Nostr.Tag{type: :e, data: \"event-id\", info: [\"wss://relay.example.com\"]}\n\n    iex> Nostr.Tag.create(:p, \"pubkey\")\n    %Nostr.Tag{type: :p, data: \"pubkey\", info: []}","ref":"Nostr.Tag.html#create/3-example"},{"type":"function","title":"Nostr.Tag.parse/1","doc":"Parse JSON list into Elixir struct","ref":"Nostr.Tag.html#parse/1"},{"type":"type","title":"Nostr.Tag.t/0","doc":"","ref":"Nostr.Tag.html#t:t/0"},{"type":"module","title":"Nostr.Event.ChannelCreation","doc":"Channel creation\n\nDefined in NIP 28\nhttps://github.com/nostr-protocol/nips/blob/master/28.md","ref":"Nostr.Event.ChannelCreation.html"},{"type":"function","title":"Nostr.Event.ChannelCreation.parse/1","doc":"","ref":"Nostr.Event.ChannelCreation.html#parse/1"},{"type":"type","title":"Nostr.Event.ChannelCreation.t/0","doc":"","ref":"Nostr.Event.ChannelCreation.html#t:t/0"},{"type":"module","title":"Nostr.Event.ChannelHideMessage","doc":"Channel hide message\n\nDefined in NIP 28\nhttps://github.com/nostr-protocol/nips/blob/master/28.md","ref":"Nostr.Event.ChannelHideMessage.html"},{"type":"function","title":"Nostr.Event.ChannelHideMessage.parse/1","doc":"","ref":"Nostr.Event.ChannelHideMessage.html#parse/1"},{"type":"type","title":"Nostr.Event.ChannelHideMessage.t/0","doc":"","ref":"Nostr.Event.ChannelHideMessage.html#t:t/0"},{"type":"module","title":"Nostr.Event.ChannelMessage","doc":"Channel creation\n\nDefined in NIP 28\nhttps://github.com/nostr-protocol/nips/blob/master/28.md","ref":"Nostr.Event.ChannelMessage.html"},{"type":"function","title":"Nostr.Event.ChannelMessage.parse/1","doc":"","ref":"Nostr.Event.ChannelMessage.html#parse/1"},{"type":"type","title":"Nostr.Event.ChannelMessage.t/0","doc":"","ref":"Nostr.Event.ChannelMessage.html#t:t/0"},{"type":"module","title":"Nostr.Event.ChannelMetadata","doc":"Channel creation\n\nDefined in NIP 28\nhttps://github.com/nostr-protocol/nips/blob/master/28.md","ref":"Nostr.Event.ChannelMetadata.html"},{"type":"function","title":"Nostr.Event.ChannelMetadata.parse/1","doc":"","ref":"Nostr.Event.ChannelMetadata.html#parse/1"},{"type":"type","title":"Nostr.Event.ChannelMetadata.t/0","doc":"","ref":"Nostr.Event.ChannelMetadata.html#t:t/0"},{"type":"module","title":"Nostr.Event.ChannelMuteUser","doc":"Channel mute user\n\nDefined in NIP 28\nhttps://github.com/nostr-protocol/nips/blob/master/28.md","ref":"Nostr.Event.ChannelMuteUser.html"},{"type":"function","title":"Nostr.Event.ChannelMuteUser.parse/1","doc":"","ref":"Nostr.Event.ChannelMuteUser.html#parse/1"},{"type":"type","title":"Nostr.Event.ChannelMuteUser.t/0","doc":"","ref":"Nostr.Event.ChannelMuteUser.html#t:t/0"},{"type":"module","title":"Nostr.Event.ClientAuth","doc":"Client authentication\n\nDefined in NIP 42\nhttps://github.com/nostr-protocol/nips/blob/master/42.md","ref":"Nostr.Event.ClientAuth.html"},{"type":"function","title":"Nostr.Event.ClientAuth.parse/1","doc":"","ref":"Nostr.Event.ClientAuth.html#parse/1"},{"type":"type","title":"Nostr.Event.ClientAuth.t/0","doc":"","ref":"Nostr.Event.ClientAuth.html#t:t/0"},{"type":"module","title":"Nostr.Event.Contacts","doc":"Contact list\n\nDefined in NIP 02\nhttps://github.com/nostr-protocol/nips/blob/master/02.md","ref":"Nostr.Event.Contacts.html"},{"type":"function","title":"Nostr.Event.Contacts.parse/1","doc":"","ref":"Nostr.Event.Contacts.html#parse/1"},{"type":"type","title":"Nostr.Event.Contacts.contact/0","doc":"","ref":"Nostr.Event.Contacts.html#t:contact/0"},{"type":"type","title":"Nostr.Event.Contacts.t/0","doc":"","ref":"Nostr.Event.Contacts.html#t:t/0"},{"type":"module","title":"Nostr.Event.Deletion","doc":"Event deletion\n\nDefined in NIP 09\nhttps://github.com/nostr-protocol/nips/blob/master/09.md","ref":"Nostr.Event.Deletion.html"},{"type":"function","title":"Nostr.Event.Deletion.parse/1","doc":"","ref":"Nostr.Event.Deletion.html#parse/1"},{"type":"type","title":"Nostr.Event.Deletion.t/0","doc":"","ref":"Nostr.Event.Deletion.html#t:t/0"},{"type":"module","title":"Nostr.Event.DirectMessage","doc":"Direct encrypted message\n\nDefined in NIP 04\nhttps://github.com/nostr-protocol/nips/blob/master/04.md","ref":"Nostr.Event.DirectMessage.html"},{"type":"function","title":"Nostr.Event.DirectMessage.decrypt/2","doc":"","ref":"Nostr.Event.DirectMessage.html#decrypt/2"},{"type":"function","title":"Nostr.Event.DirectMessage.parse/1","doc":"","ref":"Nostr.Event.DirectMessage.html#parse/1"},{"type":"type","title":"Nostr.Event.DirectMessage.t/0","doc":"","ref":"Nostr.Event.DirectMessage.html#t:t/0"},{"type":"module","title":"Nostr.Event.Ephemeral","doc":"Ephemeral event\n\nDefined in NIP 16\nhttps://github.com/nostr-protocol/nips/blob/master/16.md","ref":"Nostr.Event.Ephemeral.html"},{"type":"function","title":"Nostr.Event.Ephemeral.parse/1","doc":"","ref":"Nostr.Event.Ephemeral.html#parse/1"},{"type":"type","title":"Nostr.Event.Ephemeral.t/0","doc":"","ref":"Nostr.Event.Ephemeral.html#t:t/0"},{"type":"module","title":"Nostr.Event.Metadata","doc":"Set metadata\n\nDefined in NIP 01\nhttps://github.com/nostr-protocol/nips/blob/master/01.md","ref":"Nostr.Event.Metadata.html"},{"type":"function","title":"Nostr.Event.Metadata.create/5","doc":"Create new `Nostr.Event.Metadata` struct","ref":"Nostr.Event.Metadata.html#create/5"},{"type":"function","title":"Arguments: - Nostr.Event.Metadata.create/5","doc":"- `name` - username\n  - `about`\n  - `picture` - `URI` struct or just `String` URL\n  - `nip05` - NIP-05 identifier\n  - `opts` - keyword list of other optional event params (`pubkey`, `created_at`, `tags`)","ref":"Nostr.Event.Metadata.html#create/5-arguments"},{"type":"function","title":"Nostr.Event.Metadata.parse/1","doc":"Parse generic `Nostr.Event` to `Nostr.Event.Metadata` struct","ref":"Nostr.Event.Metadata.html#parse/1"},{"type":"type","title":"Nostr.Event.Metadata.t/0","doc":"","ref":"Nostr.Event.Metadata.html#t:t/0"},{"type":"module","title":"Nostr.Event.Note","doc":"Text note\n\nDefined in NIP 01\nhttps://github.com/nostr-protocol/nips/blob/master/01.md","ref":"Nostr.Event.Note.html"},{"type":"function","title":"Nostr.Event.Note.create/2","doc":"Create new Note Nostr event","ref":"Nostr.Event.Note.html#create/2"},{"type":"function","title":"Arguments: - Nostr.Event.Note.create/2","doc":"- `note` textual note used as content\n  - `opts` other optional event arguments (`pubkey`, `created_at`, `tags`)","ref":"Nostr.Event.Note.html#create/2-arguments"},{"type":"function","title":"Nostr.Event.Note.parse/1","doc":"","ref":"Nostr.Event.Note.html#parse/1"},{"type":"type","title":"Nostr.Event.Note.t/0","doc":"","ref":"Nostr.Event.Note.html#t:t/0"},{"type":"module","title":"Nostr.Event.ParameterizedReplaceable","doc":"Parameterized replaceable event\n\nDefined in NIP 33\nhttps://github.com/nostr-protocol/nips/blob/master/33.md","ref":"Nostr.Event.ParameterizedReplaceable.html"},{"type":"function","title":"Nostr.Event.ParameterizedReplaceable.parse/1","doc":"","ref":"Nostr.Event.ParameterizedReplaceable.html#parse/1"},{"type":"type","title":"Nostr.Event.ParameterizedReplaceable.t/0","doc":"","ref":"Nostr.Event.ParameterizedReplaceable.html#t:t/0"},{"type":"module","title":"Nostr.Event.Reaction","doc":"Post reaction\n\nDefined in NIP 25\nhttps://github.com/nostr-protocol/nips/blob/master/25.md","ref":"Nostr.Event.Reaction.html"},{"type":"function","title":"Nostr.Event.Reaction.parse/1","doc":"","ref":"Nostr.Event.Reaction.html#parse/1"},{"type":"type","title":"Nostr.Event.Reaction.t/0","doc":"","ref":"Nostr.Event.Reaction.html#t:t/0"},{"type":"module","title":"Nostr.Event.RecommendRelay","doc":"Recommend server\n\nDefined in NIP 01\nhttps://github.com/nostr-protocol/nips/blob/master/01.md","ref":"Nostr.Event.RecommendRelay.html"},{"type":"function","title":"Nostr.Event.RecommendRelay.parse/1","doc":"","ref":"Nostr.Event.RecommendRelay.html#parse/1"},{"type":"type","title":"Nostr.Event.RecommendRelay.t/0","doc":"","ref":"Nostr.Event.RecommendRelay.html#t:t/0"},{"type":"module","title":"Nostr.Event.Regular","doc":"Regular event\n\nDefined in NIP 16\nhttps://github.com/nostr-protocol/nips/blob/master/16.md","ref":"Nostr.Event.Regular.html"},{"type":"function","title":"Nostr.Event.Regular.parse/1","doc":"","ref":"Nostr.Event.Regular.html#parse/1"},{"type":"type","title":"Nostr.Event.Regular.t/0","doc":"","ref":"Nostr.Event.Regular.html#t:t/0"},{"type":"module","title":"Nostr.Event.Replaceable","doc":"Replaceable event\n\nDefined in NIP 16\nhttps://github.com/nostr-protocol/nips/blob/master/16.md","ref":"Nostr.Event.Replaceable.html"},{"type":"function","title":"Nostr.Event.Replaceable.parse/1","doc":"","ref":"Nostr.Event.Replaceable.html#parse/1"},{"type":"type","title":"Nostr.Event.Replaceable.t/0","doc":"","ref":"Nostr.Event.Replaceable.html#t:t/0"},{"type":"module","title":"Nostr.Event.Unknown","doc":"Unknown type of event","ref":"Nostr.Event.Unknown.html"},{"type":"type","title":"Nostr.Event.Unknown.t/0","doc":"","ref":"Nostr.Event.Unknown.html#t:t/0"},{"type":"module","title":"Nostr.Event.Repost","doc":"Repost\n\nDEPRECATED in favor of NIP-27\n\nDefined in NIP 18\nhttps://github.com/nostr-protocol/nips/blob/master/18.md","ref":"Nostr.Event.Repost.html"},{"type":"function","title":"Nostr.Event.Repost.parse/1","doc":"","ref":"Nostr.Event.Repost.html#parse/1"},{"type":"type","title":"Nostr.Event.Repost.t/0","doc":"","ref":"Nostr.Event.Repost.html#t:t/0"},{"type":"extras","title":"Overview","doc":"# Overview\n\nThis is Nostr library implementing basic structures for Nostr data types, their parsing, JSON\nencoding or verifying. If you want more functionality please check\n[nostr_client](https://hexdocs.pm/nostr_client/) or\n[nostr_server](https://hexdocs.pm/nostr_server) libraries which implements also WebSocket\nconnections and workflow of messages.","ref":"overview.html"},{"type":"extras","title":"Useful links - Overview","doc":"* [Nostr Specification](https://github.com/nostr-protocol/nips)","ref":"overview.html#useful-links"},{"type":"extras","title":"Installation","doc":"# Installation\n\n```elixir\n  defp deps do\n    [\n      {:nostr_lib, \"~> 0.1\"},\n    ]\n  end\n```","ref":"installation.html"},{"type":"extras","title":"Basic Usage","doc":"# Basic Usage\n\n**TODO:** provide example usage","ref":"basic-usage.html"}],"content_type":"text/markdown"}